Skip to Content
SendlySendly
API ReferenceMembers

Change a member's role

PATCH
/api/projects/{id}/members/{userId}

Requires the members:write scope — Add and remove project members and change their roles.

cookiebetter-auth.session_token<token>

BetterAuth session cookie. Used by the dashboard / browser clients. When present, the active project is taken from the x-project-id header.

id*string

Project id.

userId*string

The member's user id, from listMembers.

application/json
  1. body
role*string
Value in"ADMIN""MEMBER"

Response Body

OK

application/json
  1. response
success*true
Value intrue
data*
Example Request
curl -X PATCH 'https://api.sendly.now/api/projects/string/members/string' \  -H 'Content-Type: application/json' \  -d '{  "role": "ADMIN"}'
Example Response
{  "success": true,  "data": {    "userId": "string",    "email": "string",    "role": "OWNER"  }}